# jQuery Attach/Detach

[![NPM downloads](https://img.shields.io/npm/dm/jquery-attach.svg)](https://npmjs.org/package/jquery-attach "View this project on NPM")

**jQuery-attach** is a simple jQuery plugin to ensure one-time event binding.

## Installation

```
npm install jquery-attach --save-dev
```

```
<script src="/node_module/jquery-attach/jquery.attach.min.js"></script>
```

## Usage

### Attach Behavior
Initiante the one-time binding by using

```
$('.clicker').attachBehavior('click', evt => {
  // Callback
});
```

### Detach Behavior
Remove the binding using

```
$('.clicker').detachBehavior('click');
```


### Get/Check Behavior
Check what behavior's attach to an element

```
$('.clicker').getBehavior();
```

---

## To-Do
- [ ] Add Custom Events binding